# Summary

* [An Introduction to Modern CMake](README.md)
* [Installing CMake](chapters/installing.md)
* [Running CMake](chapters/running.md)

## Making a CMakeLists

* [Introduction to the Basics](chapters/basics.md)
* [~~Variables and the Options Cache~~](chapters/options)
* [C++11 and Beyond](chapters/cpp11.md)
* [Adding Features](chapters/features.md)
* [How to Structure Your Project](chapters/structure.md)
* [~~Configuration Information~~](chapters/configure.md)
* [~~Including Small Projects~~](chapters/smallinc.md)
* [~~Including Large Projects~~](chapters/largeinc.md)
* [~~Running Other Programs~~](chapters/programs.md)
* [~~Testing~~](chapters/testing.md)
* [~~Tidy and Format~~](chapters/testing.md)
* [~~IDEs~~](chapters/IDEs.md)
* [~~Debugging~~](chapters/IDEs.md)

## Specific packages

* [~~CUDA~~](specifics/CUDA.md)
* [~~OpenMP~~](specifics/OpenMP.md)
* [~~Boost~~](specifics/Boost.md)
* [~~MPI~~](specifics/MPI.md)
* [~~ROOT~~](specifics/ROOT.md)
